Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class LayoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.fop.layoutmgr.LayoutException

All Implemented Interfaces:
  java.io.Serializable

    public class LayoutException

extends java.lang.RuntimeException

Exception thrown by FOP if an unrecoverable layout error occurs. An example: An area overflows a viewport that has overflow="error-if-overflow". TODO Discuss if this should become a checked exception.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `LayoutException.LayoutExceptionFactory` Exception factory for `LayoutException`.

Constructor Summary
`LayoutException(java.lang.String message)` Constructs a new layout exception with the specified detail message.
`LayoutException(java.lang.String message, LayoutManager lm)` Constructs a new layout exception with the specified detail message.

Method Summary
`LayoutManager` | `getLayoutManager()` Returns the layout manager that detected the problem.
`java.lang.String` | `getLocalizedMessage()`
`void` | `setLocalizedMessage(java.lang.String msg)` Sets the localized message for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayoutException

    public LayoutException(java.lang.String message)

  Constructs a new layout exception with the specified detail message.

  Parameters:
    `message` - the detail message.

### LayoutException

    public LayoutException(java.lang.String message,
                           LayoutManager lm)

  Constructs a new layout exception with the specified detail message.

  Parameters:
    `message` - the detail message
    `lm` - the layout manager that throws the exception

Method Detail

### setLocalizedMessage

    public void setLocalizedMessage(java.lang.String msg)

  Sets the localized message for this exception.

  Parameters:
    `msg` - the localized message

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getLayoutManager

    public LayoutManager getLayoutManager()

  Returns the layout manager that detected the problem.

  Returns:
    the layout manager (or null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.